#82 user centres from https://www.sprint.net/tools/ip-network-performance

"""
['Nashville, TN', 'Roachdale, IN', 'San Jose, CA', 'Omaha, NE', 'Saint Paul, MN', 
'Houston, TX', 'Rialto, CA', 'Stockton, CA', 'Oroville, CA', 'Tacoma, WA', 
'Springfield, MA', 'Seattle, WA', 'Relay, MD', 'Pearl City, HI', 'Phoenix, AZ', 
'Pennsauken, NJ', 'Orlando, FL', 'New York City, NY', 'Kansas City, MO', 'Fort Worth, TX', 
'Fairfax, SC', 'Chicago, IL', 'Washington, DC', 'Anaheim, CA', 'Atlanta, GA', 
'Miami, FL', 'Akron, OH', 'Cheyenne, WY', 'Detroit, MI', 'Pueblo Viejo, Puerto Rico', 
'Dublin, Ireland', 'London, UK', 'Amsterdam, Netherlands', 'Paris, France', 'Brussels, Belgium', 
'Frankfurt, Germany', 'Hamburg, Germany', 'Copenhagen, Denmark', 'Oslo, Norway', 'Stockholm, Sweden', 
'Zurich, Switzerland', 'Milan, Italy', 'Vienna, Austria', 'Hong Kong, China', 'Singapore', 
'Taipei, Taiwan', 'Seoul, South Korea', 'Tokyo, Japan', 'Sydney, Australia', 'Auckland, New Zealand', 
'Medellin, Colombia', 'Caracas, Venezuela', 'Santiago, Chile', 'Los Angeles, CA', 'Mexico City, Mexico', 
'Ashburn, VA', 'Pittsburgh, PA', 'Philadelphia, PA', 'Palo Alto, CA', 'Dallas, TX', 
'Johannesburg, South Africa', 'Toronto, Canada', 'Sao Paulo, Brazil', 'Harrison, NJ', 'Rio de Janeiro, Brazil', 
'Manila, Philippines', 'Vancouver, Canada', 'New Delhi, India', 'Bangalore, India', 'Mumbai, India', 
'Monterrey, Mexico', 'Warsaw, Poland', 'Buenos Aires, Argentina', 'Melbourne, Australia', 'Hyderabad, India', 
'Montreal, Canada', 'Calgary, Canada', 'Kuala Lumpur, Malaysia', 'Chennai, India', 'Moscow, Russia', 
'Osaka, Japan', 'Bangkok, Thailand']
"""

#Transient network latency matrix among 82 user centres

latencymap = [[   0,    5,   52,   18,   15,   26,   40,   50,   47,   47,   30,   50,
   16,   89,   49,   20,   15,   21,   14,   17,    9,    8,   16,   50,
    5,   19,   12,   27,   15,   44,  110,   99,  105,   96,  104,  106,
  110,  117,  124,  122,  112,  112,  117,  188,  218,  170,  170,  140,
  204,  229,   63,   51,  131,   42,   50,   18,   31,   20,   55,   18,
  267,   19,  131,   20,  125,  192,   52,  249,  237,  227,   38,  125,
  159,  221,  251,   26,   43,  223,  243,  145,  147,  218],
[   5,    0,   45,   11,   10,   31,   51,   43,   41,   42,   17,   45,
   17,   93,   42,   16,   21,   20,   12,   22,   14,    3,   15,   54,
   10,   27,    7,   20,    9,   49,  109,   98,  104,   95,  103,  105,
  109,  116,  123,  121,  111,  111,  116,  187,  217,  169,  169,  139,
  200,  225,   68,   56,  136,   55,   54,   19,   26,   17,   49,   23,
  266,   14,  136,   18,  130,  191,   47,  248,  236,  226,   42,  124,
  164,  217,  250,   21,   38,  222,  242,  144,  146,  223],
[  52,   45,    0,   34,   41,   46,   10,    2,    4,   16,   58,   20,
   55,   54,   17,   58,   67,   61,   37,   41,   60,   42,   67,    8,
   57,   73,   48,   25,   49,   87,  149,  138,  144,  136,  143,  146,
  149,  156,  163,  161,  152,  152,  157,  155,  204,  137,  137,  107,
  155,  180,  106,   94,  174,    9,   65,   68,   67,   58,    5,   43,
  306,   53,  174,   59,  168,  159,   22,  238,  204,  216,   53,  164,
  202,  172,  218,   60,   33,  190,  210,  184,  114,  207],
[  18,   11,   34,    0,    8,   22,   39,   32,   30,   37,   24,   38,
   24,   84,   31,   23,   33,   27,    3,   13,   26,    8,   33,   42,
   22,   37,   14,    9,   15,   60,  115,  104,  110,  102,  109,  112,
  115,  122,  129,  127,  118,  118,  123,  179,  209,  161,  161,  131,
  189,  214,   79,   67,  147,   41,   45,   35,   33,   24,   38,   14,
  272,   19,  147,   25,  141,  183,   45,  254,  228,  232,   33,  130,
  175,  206,  242,   26,   43,  214,  234,  150,  138,  231],
[  15,   10,   41,    8,    0,   25,   47,   39,   37,   32,   23,   33,
   20,   91,   39,   22,   30,   26,   11,   21,   24,    7,   23,   49,
   20,   39,   13,   17,   13,   59,  114,  103,  109,  101,  108,  111,
  114,  121,  128,  126,  117,  117,  122,  177,  207,  159,  159,  129,
  196,  221,   78,   66,  146,   51,   53,   23,   32,   23,   45,   21,
  271,   18,  146,   24,  140,  181,   37,  253,  226,  231,   41,  129,
  174,  213,  240,   25,   42,  212,  232,  149,  136,  229],
[  26,   31,   46,   22,   25,    0,   37,   39,   51,   62,   56,   59,
   41,   77,   30,   39,   29,   43,   14,    5,   32,   28,   40,   33,
   21,   25,   37,   30,   38,   50,  130,  119,  125,  116,  124,  126,
  130,  137,  144,  142,  132,  132,  137,  176,  206,  158,  158,  128,
  192,  217,   69,   57,  137,   39,   33,   38,   49,   44,   49,    9,
  287,   42,  137,   45,  131,  180,   59,  259,  225,  237,   16,  145,
  165,  209,  239,   46,   63,  211,  231,  165,  135,  224],
[  40,   51,   10,   39,   47,   37,    0,    8,   10,   23,   64,   23,
   73,   49,    6,   67,   59,   61,   42,   23,   43,   48,   56,    1,
   39,   64,   54,   31,   54,   78,  148,  137,  143,  134,  142,  144,
  148,  155,  162,  160,  150,  150,  155,  148,  178,  130,  130,  100,
  164,  189,   97,   85,  165,    1,   56,   76,   72,   67,   13,   24,
  305,   59,  165,   59,  159,  152,   28,  231,  197,  209,   44,  163,
  193,  181,  211,   66,   39,  183,  203,  183,  107,  200],
[  50,   43,    2,   32,   39,   39,    8,    0,    2,   15,   56,   16,
   56,   52,   18,   55,   65,   59,   36,   40,   59,   40,   65,    9,
   55,   69,   46,   24,   47,   86,  147,  136,  142,  134,  141,  144,
  147,  154,  161,  159,  150,  150,  155,  156,  186,  138,  138,  108,
  157,  182,  105,   93,  173,   12,   64,   67,   65,   58,    7,   32,
  304,   51,  173,   57,  167,  160,   20,  239,  205,  217,   52,  162,
  201,  174,  219,   59,   32,  191,  211,  182,  115,  208],
[  47,   41,    4,   30,   37,   51,   10,    2,    0,   13,   54,   16,
   51,   54,   18,   53,   63,   57,   33,   43,   56,   38,   63,   12,
   52,   67,   44,   21,   44,   88,  145,  134,  140,  132,  139,  142,
  145,  152,  159,  157,  148,  148,  153,  158,  188,  140,  140,  110,
  159,  184,  107,   95,  175,   13,   66,   66,   63,   56,    6,   43,
  302,   49,  175,   55,  169,  162,   18,  241,  207,  219,   54,  160,
  203,  176,  221,   56,   29,  193,  213,  180,  117,  210],
[  47,   42,   16,   37,   32,   62,   23,   15,   13,    0,   55,    1,
   52,   67,   32,   54,   63,   58,   43,   52,   56,   39,   53,   24,
   52,   71,   45,   25,   46,   91,  146,  135,  141,  133,  140,  143,
  146,  153,  160,  158,  149,  149,  154,  145,  175,  127,  127,   97,
  171,  196,  110,   98,  178,   26,   79,   55,   64,   55,   22,   51,
  303,   50,  178,   56,  172,  149,    5,  228,  194,  206,   67,  161,
  206,  188,  208,   57,   16,  180,  200,  181,  104,  197],
[  30,   17,   58,   24,   23,   56,   64,   56,   54,   55,    0,   56,
    8,  107,   56,    7,   26,    3,   26,   40,   20,   16,    8,   66,
   30,   30,   10,   33,   14,   53,   92,   81,   87,   87,   86,   97,
   92,   99,  106,  104,  103,  103,  108,  200,  230,  182,  182,  152,
  213,  238,   72,   60,  140,   66,   68,   16,   14,    7,   63,   49,
  249,   19,  140,    3,  134,  204,   60,  231,  221,  209,   56,  107,
  168,  230,  235,   22,   51,  235,  227,  127,  159,  227],
[  50,   45,   20,   38,   33,   59,   23,   16,   16,    1,   56,    0,
   56,   68,   29,   55,   66,   64,   44,   56,   62,   42,   56,   27,
   55,   67,   51,   29,   49,   92,  147,  136,  142,  134,  141,  144,
  147,  154,  161,  159,  150,  150,  155,  146,  176,  128,  128,   98,
  172,  197,  111,   99,  179,   28,   79,   55,   65,   56,   28,   57,
  304,   56,  179,   59,  173,  150,   11,  229,  195,  207,   67,  162,
  207,  189,  209,   63,   22,  181,  201,  182,  105,  198],
[  16,   17,   55,   24,   20,   41,   73,   56,   51,   52,    8,   56,
    0,  104,   55,    2,   18,    5,   30,   34,   12,   13,    1,   66,
   16,   22,   10,   30,   11,   47,   94,   83,   89,   81,   88,   91,
   94,  101,  108,  106,   97,   97,  102,  197,  227,  179,  179,  149,
  210,  235,   66,   54,  134,   68,   65,    2,    6,    2,   63,   34,
  251,   21,  134,    4,  128,  201,   57,  233,  223,  211,   53,  109,
  162,  227,  237,   23,   48,  232,  229,  129,  156,  221],
[  89,   93,   54,   84,   91,   77,   49,   52,   54,   67,  107,   68,
  104,    0,   55,  106,   98,  108,   81,   72,   92,   91,  103,   48,
   88,  102,   97,   75,   97,  127,  197,  186,  192,  183,  191,  193,
  197,  204,  211,  209,  199,  199,  204,  195,  225,  177,  177,  147,
  209,  234,  146,  134,  214,   49,  105,  105,  110,  106,   59,   73,
  354,  102,  214,  107,  208,  199,   72,  278,  244,  256,   93,  212,
  242,  226,  258,  109,   83,  230,  250,  232,  154,  247],
[  49,   42,   17,   31,   39,   30,    6,   18,   18,   32,   56,   29,
   55,   55,    0,   55,   44,   58,   35,   18,   37,   39,   64,    9,
   34,   47,   46,   22,   46,   72,  143,  132,  138,  128,  137,  138,
  143,  150,  157,  155,  144,  144,  149,  154,  184,  136,  136,  106,
  170,  195,   91,   79,  159,   11,   51,   66,   65,   55,   22,   19,
  300,   50,  159,   56,  153,  158,   37,  237,  203,  215,   39,  158,
  187,  187,  217,   58,   75,  189,  209,  178,  113,  206],
[  20,   16,   58,   23,   22,   39,   67,   55,   53,   54,    7,   55,
    2,  106,   55,    0,   20,    4,   32,   35,   14,   15,    3,   68,
   18,   26,    9,   32,   13,   49,   93,   82,   88,   83,   87,   93,
   93,  100,  107,  105,   99,   99,  104,  199,  229,  181,  181,  151,
  212,  237,   68,   56,  136,   59,   67,    4,    8,    4,   63,   36,
  250,   20,  136,    2,  130,  203,   59,  232,  222,  210,   55,  108,
  164,  229,  236,   23,   50,  234,  228,  128,  158,  223],
[  15,   21,   67,   33,   30,   29,   59,   65,   63,   63,   26,   66,
   18,   98,   44,   20,    0,   23,   29,   26,    7,   23,   18,   60,
   10,    6,   26,   42,   32,   31,  112,  101,  107,   98,  106,  108,
  112,  119,  126,  124,  114,  114,  119,  197,  227,  179,  179,  149,
  213,  238,   50,   38,  118,   62,   59,   19,   24,   21,   71,   27,
  269,   34,  118,   22,  112,  201,   67,  251,  241,  229,   45,  127,
  146,  230,  255,   42,   59,  232,  247,  147,  156,  205],
[  21,   20,   61,   27,   26,   43,   61,   59,   57,   58,    3,   64,
    5,  108,   58,    4,   23,    0,   34,   37,   23,   19,   12,   79,
   20,   27,   13,   36,   17,   52,   89,   78,   84,   85,   83,   95,
   89,   96,  103,  101,  101,  101,  106,  202,  232,  184,  184,  154,
  215,  240,   71,   59,  139,   80,   69,    7,   12,    4,   67,   38,
  246,   16,  139,    6,  133,  206,   63,  228,  218,  206,   57,  104,
  167,  232,  232,   19,   54,  237,  224,  124,  161,  226],
[  14,   12,   37,    3,   11,   14,   42,   36,   33,   43,   26,   44,
   30,   81,   35,   32,   29,   34,    0,    9,   23,   10,   29,   43,
   19,   38,   16,   12,   16,   58,  117,  106,  112,  104,  111,  114,
  117,  124,  131,  129,  120,  120,  125,  180,  210,  162,  162,  132,
  192,  217,   77,   65,  145,   34,   42,   31,   35,   34,   42,   11,
  274,   21,  145,   34,  139,  184,   45,  256,  229,  234,   30,  132,
  173,  209,  243,   28,   45,  215,  235,  152,  139,  232],
[  17,   22,   41,   13,   21,    5,   23,   40,   43,   52,   40,   56,
   34,   72,   18,   35,   26,   37,    9,    0,   20,   19,   33,   24,
   16,   37,   25,   22,   26,   55,  125,  114,  120,  111,  119,  121,
  125,  132,  139,  137,  127,  127,  132,  171,  201,  153,  153,  123,
  187,  212,   74,   62,  142,   27,   33,   33,   44,   36,   35,    1,
  282,   30,  142,   36,  136,  175,   55,  254,  220,  232,   21,  140,
  170,  204,  234,   37,   54,  206,  226,  160,  130,  223],
[   9,   14,   60,   26,   24,   32,   43,   59,   56,   56,   20,   62,
   12,   92,   37,   14,    7,   23,   23,   20,    0,   17,   11,   53,
    4,   10,   19,   35,   23,   35,  106,   95,  101,   91,  100,  101,
  106,  113,  120,  118,  107,  107,  112,  191,  221,  173,  173,  143,
  207,  232,   54,   42,  122,   45,   53,   13,   18,   14,   65,   20,
  263,   28,  122,   15,  116,  195,   61,  245,  235,  223,   41,  121,
  150,  224,  249,   35,   52,  226,  241,  141,  150,  209],
[   8,    3,   42,    8,    7,   28,   48,   40,   38,   39,   16,   42,
   13,   91,   39,   15,   23,   19,   10,   19,   17,    0,   17,   49,
   13,   27,    6,   17,    6,   52,  107,   96,  102,   94,  101,  104,
  107,  114,  121,  119,  110,  110,  115,  184,  214,  166,  166,  136,
  197,  222,   71,   59,  139,   50,   52,   18,   25,   16,   45,   21,
  264,   11,  139,   17,  133,  188,   44,  246,  233,  224,   40,  122,
  167,  214,  247,   18,   35,  219,  239,  142,  143,  226],
[  16,   15,   67,   33,   23,   40,   56,   65,   63,   53,    8,   56,
    1,  103,   64,    3,   18,   12,   29,   33,   11,   17,    0,   66,
   15,   22,    8,   42,   12,   46,   95,   84,   90,   80,   89,   90,
   95,  102,  109,  107,   96,   96,  101,  198,  228,  180,  180,  150,
  211,  236,   65,   53,  133,   75,   64,    2,    7,    3,   73,   34,
  252,   22,  133,    4,  127,  202,   60,  234,  224,  212,   52,  110,
  161,  228,  238,   23,   49,  233,  230,  130,  157,  220],
[  50,   54,    8,   42,   49,   33,    1,    9,   12,   24,   66,   27,
   66,   48,    9,   68,   60,   79,   43,   24,   53,   49,   66,    0,
   40,   57,   55,   32,   56,   79,  149,  138,  144,  135,  143,  145,
  149,  156,  163,  161,  151,  151,  156,  161,  177,  129,  129,   99,
  163,  188,   98,   86,  166,    1,   57,   67,   75,   59,   12,   34,
  306,   61,  166,   69,  160,  151,   29,  230,  196,  208,   45,  164,
  194,  180,  210,   67,   40,  182,  202,  184,  106,  199],
[   5,   10,   57,   22,   20,   21,   39,   55,   52,   52,   30,   55,
   16,   88,   34,   18,   10,   20,   19,   16,    4,   13,   15,   40,
    0,   14,   17,   31,   19,   39,  109,   98,  104,   95,  103,  105,
  109,  116,  123,  121,  111,  111,  116,  187,  217,  169,  169,  139,
  203,  228,   58,   46,  126,   41,   49,   17,   36,   18,   60,   17,
  266,   24,  126,   19,  120,  191,   57,  248,  236,  226,   37,  124,
  154,  220,  250,   31,   48,  222,  242,  144,  146,  213],
[  19,   27,   73,   37,   39,   25,   64,   69,   67,   71,   30,   67,
   22,  102,   47,   26,    6,   27,   38,   37,   10,   27,   22,   57,
   14,    0,   31,   50,   36,   25,  116,  105,  111,  101,  110,  111,
  116,  123,  130,  128,  117,  117,  122,  201,  224,  183,  183,  153,
  217,  242,   44,   32,  112,   63,   58,   23,   30,   26,   75,   31,
  273,   38,  112,   26,  106,  205,   71,  255,  245,  233,   41,  131,
  140,  234,  259,   59,   67,  229,  251,  151,  160,  199],
[  12,    7,   48,   14,   13,   37,   54,   46,   44,   45,   10,   51,
   10,   97,   46,    9,   26,   13,   16,   25,   19,    6,    8,   55,
   17,   31,    0,   23,    4,   54,  102,   91,   97,   88,   96,   98,
  102,  109,  116,  114,  104,  104,  109,  190,  220,  172,  172,  142,
  203,  228,   73,   61,  141,   56,   58,   10,   19,   10,   53,   26,
  259,   17,  141,   11,  135,  194,   50,  241,  231,  219,   46,  117,
  169,  220,  245,   32,   41,  225,  237,  137,  149,  228],
[  27,   20,   25,    9,   17,   30,   31,   24,   21,   25,   33,   29,
   30,   75,   22,   32,   42,   36,   12,   22,   35,   17,   42,   32,
   31,   50,   23,    0,   23,   69,  124,  113,  119,  111,  118,  121,
  124,  131,  138,  136,  127,  127,  132,  170,  200,  152,  152,  122,
  180,  205,   88,   76,  156,   33,   54,   43,   42,   35,   31,   22,
  281,   28,  156,   34,  150,  174,   30,  253,  219,  231,   42,  139,
  184,  197,  233,   35,   52,  205,  225,  159,  129,  222],
[  15,    9,   49,   15,   13,   38,   54,   47,   44,   46,   14,   49,
   11,   97,   46,   13,   32,   17,   16,   26,   23,    6,   12,   56,
   19,   36,    4,   23,    0,   58,  105,   94,  100,   92,   99,  102,
  105,  112,  119,  117,  108,  108,  113,  190,  220,  172,  172,  142,
  203,  228,   77,   65,  145,   58,   58,   13,   23,   13,   52,   27,
  262,   18,  145,   17,  139,  194,   50,  244,  234,  222,   46,  120,
  173,  220,  248,   25,   41,  225,  240,  140,  149,  232],
[  44,   49,   87,   60,   59,   50,   78,   86,   88,   91,   53,   92,
   47,  127,   72,   49,   31,   52,   58,   55,   35,   52,   46,   79,
   39,   25,   54,   69,   58,    0,  141,  130,  136,  126,  135,  136,
  141,  148,  155,  153,  142,  142,  147,  226,  249,  208,  208,  178,
  242,  267,   69,   57,  137,   79,   83,   48,   53,   49,   90,   55,
  298,   63,  137,   50,  131,  230,   96,  280,  270,  258,   66,  156,
  165,  259,  284,   69,   87,  254,  276,  176,  185,  224],
[ 110,  109,  149,  115,  114,  130,  148,  147,  145,  146,   92,  147,
   94,  197,  143,   93,  112,   89,  117,  125,  106,  107,   95,  149,
  109,  116,  102,  124,  105,  141,    0,   11,   16,   18,   16,   28,
   22,   31,   37,   37,   34,   34,   39,  194,  190,  215,  269,  242,
  291,  316,  160,  148,  228,  149,  158,   96,  100,   93,  151,  126,
  179,  105,  228,   95,  222,  196,  151,  161,  151,  139,  146,   38,
  256,  308,  165,  108,  142,  195,  157,   59,  249,  215],
[  99,   98,  138,  104,  103,  119,  137,  136,  134,  135,   81,  136,
   83,  186,  132,   82,  101,   78,  106,  114,   95,   96,   84,  138,
   98,  105,   91,  113,   94,  130,   11,    0,    6,    7,    5,   17,
   11,   18,   27,   23,   23,   24,   28,  183,  179,  204,  258,  231,
  280,  305,  149,  137,  217,  138,  147,   85,   89,   82,  140,  115,
  168,   94,  217,   84,  211,  185,  140,  150,  140,  128,  135,   28,
  245,  297,  154,   97,  131,  184,  146,   49,  238,  204],
[ 105,  104,  144,  110,  109,  125,  143,  142,  140,  141,   87,  142,
   89,  192,  138,   88,  107,   84,  112,  120,  101,  102,   90,  144,
  104,  111,   97,  119,  100,  136,   16,    6,    0,   15,    4,   14,
    6,   13,   20,   19,   20,   24,   26,  189,  185,  210,  264,  237,
  286,  311,  155,  143,  223,  144,  153,   91,   95,   88,  146,  121,
  174,  100,  223,   90,  217,  191,  146,  156,  146,  134,  141,   21,
  251,  303,  160,  103,  137,  190,  152,   45,  244,  210],
[  96,   95,  136,  102,  101,  116,  134,  134,  132,  133,   87,  134,
   81,  183,  128,   83,   98,   85,  104,  111,   91,   94,   80,  135,
   95,  101,   88,  111,   92,  126,   18,    7,   15,    0,   13,   10,
   20,   25,   35,   32,   16,   16,   21,  190,  186,  211,  260,  230,
  287,  312,  145,  133,  213,  135,  144,   82,   87,   83,  138,  111,
  175,  101,  213,   84,  207,  192,  138,  157,  147,  135,  132,   35,
  241,  304,  161,  103,  129,  191,  153,   55,  237,  211],
[ 104,  103,  143,  109,  108,  124,  142,  141,  139,  140,   86,  141,
   88,  191,  137,   87,  106,   83,  111,  119,  100,  101,   89,  143,
  103,  110,   96,  118,   99,  135,   16,    5,    4,   13,    0,   18,
   10,   16,   24,   22,   24,   28,   29,  188,  184,  209,  263,  236,
  285,  310,  154,  142,  222,  143,  152,   90,   94,   87,  145,  120,
  173,   99,  222,   89,  216,  190,  145,  155,  145,  133,  140,   25,
  250,  302,  159,  102,  136,  189,  151,   45,  243,  209],
[ 106,  105,  146,  112,  111,  126,  144,  144,  142,  143,   97,  144,
   91,  193,  138,   93,  108,   95,  114,  121,  101,  104,   90,  145,
  105,  111,   98,  121,  102,  136,   28,   17,   14,   10,   18,    0,
    8,   15,   22,   21,    6,   10,   11,  200,  196,  221,  270,  240,
  297,  322,  155,  143,  223,  145,  154,   92,   97,   93,  148,  121,
  185,  111,  223,   94,  217,  202,  148,  167,  157,  145,  142,   24,
  251,  314,  171,  113,  139,  201,  163,   47,  247,  221],
[ 110,  109,  149,  115,  114,  130,  148,  147,  145,  146,   92,  147,
   94,  197,  143,   93,  112,   89,  117,  125,  106,  107,   95,  149,
  109,  116,  102,  124,  105,  141,   22,   11,    6,   20,   10,    8,
    0,    7,   14,   13,   14,   18,   20,  194,  190,  215,  269,  242,
  291,  316,  160,  148,  228,  149,  158,   96,  100,   93,  151,  126,
  179,  105,  228,   95,  222,  196,  151,  161,  151,  139,  146,   15,
  256,  308,  165,  108,  142,  195,  157,   35,  249,  215],
[ 117,  116,  156,  122,  121,  137,  155,  154,  152,  153,   99,  154,
  101,  204,  150,  100,  119,   96,  124,  132,  113,  114,  102,  156,
  116,  123,  109,  131,  112,  148,   31,   18,   13,   25,   16,   15,
    7,    0,    7,    7,   21,   25,   26,  201,  197,  222,  276,  249,
  298,  323,  167,  155,  235,  156,  165,  103,  107,  100,  158,  133,
  186,  112,  235,  102,  229,  203,  158,  168,  158,  146,  153,   22,
  263,  315,  172,  115,  149,  202,  164,   30,  256,  222],
[ 124,  123,  163,  129,  128,  144,  162,  161,  159,  160,  106,  161,
  108,  211,  157,  107,  126,  103,  131,  139,  120,  121,  109,  163,
  123,  130,  116,  138,  119,  155,   37,   27,   20,   35,   24,   22,
   14,    7,    0,    7,   28,   32,   33,  208,  204,  229,  283,  256,
  305,  330,  174,  162,  242,  163,  172,  110,  114,  107,  165,  140,
  193,  119,  242,  109,  236,  210,  165,  175,  165,  153,  160,   29,
  270,  322,  179,  122,  156,  209,  171,   41,  263,  229],
[ 122,  121,  161,  127,  126,  142,  160,  159,  157,  158,  104,  159,
  106,  209,  155,  105,  124,  101,  129,  137,  118,  119,  107,  161,
  121,  128,  114,  136,  117,  153,   37,   23,   19,   32,   22,   21,
   13,    7,    7,    0,   27,   31,   32,  206,  202,  227,  281,  254,
  303,  328,  172,  160,  240,  161,  170,  108,  112,  105,  163,  138,
  191,  117,  240,  107,  234,  208,  163,  173,  163,  151,  158,   28,
  268,  320,  177,  120,  154,  207,  169,   38,  261,  227],
[ 112,  111,  152,  118,  117,  132,  150,  150,  148,  149,  103,  150,
   97,  199,  144,   99,  114,  101,  120,  127,  107,  110,   96,  151,
  111,  117,  104,  127,  108,  142,   34,   23,   20,   16,   24,    6,
   14,   21,   28,   27,    0,    4,   17,  206,  202,  227,  276,  246,
  303,  328,  161,  149,  229,  151,  160,   98,  103,   99,  154,  127,
  191,  117,  229,  100,  223,  208,  154,  173,  163,  151,  148,   30,
  257,  320,  177,  119,  145,  207,  169,   53,  253,  227],
[ 112,  111,  152,  118,  117,  132,  150,  150,  148,  149,  103,  150,
   97,  199,  144,   99,  114,  101,  120,  127,  107,  110,   96,  151,
  111,  117,  104,  127,  108,  142,   34,   24,   24,   16,   28,   10,
   18,   25,   32,   31,    4,    0,   21,  206,  202,  227,  276,  246,
  303,  328,  161,  149,  229,  151,  160,   98,  103,   99,  154,  127,
  191,  117,  229,  100,  223,  208,  154,  173,  163,  151,  148,   33,
  257,  320,  177,  119,  145,  207,  169,   57,  253,  227],
[ 117,  116,  157,  123,  122,  137,  155,  155,  153,  154,  108,  155,
  102,  204,  149,  104,  119,  106,  125,  132,  112,  115,  101,  156,
  116,  122,  109,  132,  113,  147,   39,   28,   26,   21,   29,   11,
   20,   26,   33,   32,   17,   21,    0,  211,  207,  232,  281,  251,
  308,  333,  166,  154,  234,  156,  165,  103,  108,  104,  159,  132,
  196,  122,  234,  105,  228,  213,  159,  178,  168,  156,  153,   22,
  262,  325,  182,  124,  150,  212,  174,   55,  258,  232],
[ 188,  187,  155,  179,  177,  176,  148,  156,  158,  145,  200,  146,
  197,  195,  154,  199,  197,  202,  180,  171,  191,  184,  198,  161,
  187,  201,  190,  170,  190,  226,  194,  183,  189,  190,  188,  200,
  194,  201,  208,  206,  206,  206,  211,    0,   35,   21,   75,   48,
  136,  161,  207,  233,  207,  148,  204,  199,  203,  199,  159,  172,
  351,  195,  208,  201,  202,   25,  150,  106,   74,   87,  192,  209,
  236,  153,   81,  202,  161,   40,   69,  229,   55,   52],
[ 218,  217,  204,  209,  207,  206,  178,  186,  188,  175,  230,  176,
  227,  225,  184,  229,  227,  232,  210,  201,  221,  214,  228,  177,
  217,  224,  220,  200,  220,  249,  190,  179,  185,  186,  184,  196,
  190,  197,  204,  202,  202,  202,  207,   35,    0,   56,  110,   78,
  101,  126,  180,  256,  180,  178,  234,  229,  233,  229,  189,  202,
  347,  225,  181,  231,  175,   60,  180,   72,   41,   51,  222,  205,
  209,  118,   45,  232,  191,    5,   34,  225,   89,   25],
[ 170,  169,  137,  161,  159,  158,  130,  138,  140,  127,  182,  128,
  179,  177,  136,  181,  179,  184,  162,  153,  173,  166,  180,  129,
  169,  183,  172,  152,  172,  208,  215,  204,  210,  211,  209,  221,
  215,  222,  229,  227,  227,  227,  232,   21,   56,    0,   60,   30,
  157,  182,  227,  215,  228,  130,  186,  181,  185,  181,  141,  154,
  372,  177,  229,  183,  223,   47,  132,  131,   96,  115,  174,  230,
  257,  174,  102,  184,  143,   61,   90,  250,   36,   74],
[ 170,  169,  137,  161,  159,  158,  130,  138,  140,  127,  182,  128,
  179,  177,  136,  181,  179,  184,  162,  153,  173,  166,  180,  129,
  169,  183,  172,  152,  172,  208,  269,  258,  264,  260,  263,  270,
  269,  276,  283,  281,  276,  276,  281,   75,  110,   60,    0,   30,
  209,  234,  227,  215,  282,  130,  186,  181,  185,  181,  141,  154,
  426,  177,  283,  183,  277,  101,  132,  182,  151,  166,  174,  284,
  311,  226,  155,  184,  143,  115,  145,  304,   37,  127],
[ 140,  139,  107,  131,  129,  128,  100,  108,  110,   97,  152,   98,
  149,  147,  106,  151,  149,  154,  132,  123,  143,  136,  150,   99,
  139,  153,  142,  122,  142,  178,  242,  231,  237,  230,  236,  240,
  242,  249,  256,  254,  246,  246,  251,   48,   78,   30,   30,    0,
  179,  204,  197,  185,  255,  100,  156,  151,  155,  151,  111,  124,
  399,  147,  256,  153,  250,   52,  102,  155,  121,  139,  144,  257,
  284,  196,  129,  154,  113,   88,  116,  277,    7,  100],
[ 204,  200,  155,  189,  196,  192,  164,  157,  159,  171,  213,  172,
  210,  209,  170,  212,  213,  215,  192,  187,  207,  197,  211,  163,
  203,  217,  203,  180,  203,  242,  291,  280,  286,  287,  285,  297,
  291,  298,  305,  303,  303,  303,  308,  136,  101,  157,  209,  179,
    0,   25,  261,  249,  281,  164,  220,  212,  216,  212,  160,  188,
  448,  208,  282,  214,  276,  161,  176,  173,  141,  152,  208,  306,
  310,   17,  146,  215,  187,  106,  135,  326,  186,  126],
[ 229,  225,  180,  214,  221,  217,  189,  182,  184,  196,  238,  197,
  235,  234,  195,  237,  238,  240,  217,  212,  232,  222,  236,  188,
  228,  242,  228,  205,  228,  267,  316,  305,  311,  312,  310,  322,
  316,  323,  330,  328,  328,  328,  333,  161,  126,  182,  234,  204,
   25,    0,  286,  274,  306,  189,  245,  237,  241,  237,  185,  213,
  473,  233,  307,  239,  301,  186,  201,  198,  166,  177,  233,  331,
  335,   42,  171,  240,  212,  131,  160,  351,  211,  151],
[  63,   68,  106,   79,   78,   69,   97,  105,  107,  110,   72,  111,
   66,  146,   91,   68,   50,   71,   77,   74,   54,   71,   65,   98,
   58,   44,   73,   88,   77,   69,  160,  149,  155,  145,  154,  155,
  160,  167,  174,  172,  161,  161,  166,  207,  180,  227,  227,  197,
  261,  286,    0,   76,  156,   98,  102,   67,   72,   68,  109,   74,
  317,   82,  156,   69,  150,  232,  115,  250,  219,  231,   85,  175,
  184,  278,  225,   88,  106,  185,  214,  195,  204,  155],
[   51,    56,    94,    67,    66,    57,    85,    93,    95,    98,
    60,    99,    54,   134,    79,    56,    38,    59,    65,    62,
    42,    59,    53,    86,    46,    32,    61,    76,    65,    57,
   148,   137,   143,   133,   142,   143,   148,   155,   162,   160,
   149,   149,   154,   233,   256,   215,   215,   185,   249,   274,
    76,     0,   144,    86,    90,    55,    60,    56,    97,    62,
   305,    70,   144,    57,   138,   237,   103,   287,   277,   265,
    73,   163,   172,   266,   291,    76,    94,   261,   283,   183,
   192,  9999],
[ 131,  136,  174,  147,  146,  137,  165,  173,  175,  178,  140,  179,
  134,  214,  159,  136,  118,  139,  145,  142,  122,  139,  133,  166,
  126,  112,  141,  156,  145,  137,  228,  217,  223,  213,  222,  223,
  228,  235,  242,  240,  229,  229,  234,  207,  180,  228,  282,  255,
  281,  306,  156,  144,    0,  166,  170,  135,  140,  136,  177,  142,
  385,  150,   55,  137,   61,  232,  183,  250,  219,  231,  155,  243,
   35,  298,  225,  156,  174,  185,  214,  263,  262,  155],
[  42,   55,    9,   41,   51,   39,    1,   12,   13,   26,   66,   28,
   68,   49,   11,   59,   62,   80,   34,   27,   45,   50,   75,    1,
   41,   63,   56,   33,   58,   79,  149,  138,  144,  135,  143,  145,
  149,  156,  163,  161,  151,  151,  156,  148,  178,  130,  130,  100,
  164,  189,   98,   86,  166,    0,   57,   68,   77,   71,   14,   27,
  306,   61,  166,   70,  160,  152,   30,  231,  197,  209,   45,  164,
  194,  181,  211,   69,   41,  183,  203,  184,  107,  200],
[  50,   54,   65,   45,   53,   33,   56,   64,   66,   79,   68,   79,
   65,  105,   51,   67,   59,   69,   42,   33,   53,   52,   64,   57,
   49,   58,   58,   54,   58,   83,  158,  147,  153,  144,  152,  154,
  158,  165,  172,  170,  160,  160,  165,  204,  234,  186,  186,  156,
  220,  245,  102,   90,  170,   57,    0,   66,   71,   67,   68,   34,
  315,   63,  170,   68,  164,  208,   84,  287,  253,  265,   17,  173,
  198,  237,  267,   70,   87,  239,  259,  193,  163,  256],
[  18,   19,   68,   35,   23,   38,   76,   67,   66,   55,   16,   55,
    2,  105,   66,    4,   19,    7,   31,   33,   13,   18,    2,   67,
   17,   23,   10,   43,   13,   48,   96,   85,   91,   82,   90,   92,
   96,  103,  110,  108,   98,   98,  103,  199,  229,  181,  181,  151,
  212,  237,   67,   55,  135,   68,   66,    0,    8,    5,   71,   35,
  253,   23,  135,    6,  129,  203,   59,  235,  225,  213,   54,  111,
  163,  229,  239,   33,   51,  234,  231,  131,  158,  222],
[  31,   26,   67,   33,   32,   49,   72,   65,   63,   64,   14,   65,
    6,  110,   65,    8,   24,   12,   35,   44,   18,   25,    7,   75,
   36,   30,   19,   42,   23,   53,  100,   89,   95,   87,   94,   97,
  100,  107,  114,  112,  103,  103,  108,  203,  233,  185,  185,  155,
  216,  241,   72,   60,  140,   77,   71,    8,    0,    8,   70,   45,
  257,   36,  140,   10,  134,  207,   69,  239,  229,  217,   59,  115,
  168,  233,  243,   30,   60,  238,  235,  135,  162,  227],
[  20,   17,   58,   24,   23,   44,   67,   58,   56,   55,    7,   56,
    2,  106,   55,    4,   21,    4,   34,   36,   14,   16,    3,   59,
   18,   26,   10,   35,   13,   49,   93,   82,   88,   83,   87,   93,
   93,  100,  107,  105,   99,   99,  104,  199,  229,  181,  181,  151,
  212,  237,   68,   56,  136,   71,   67,    5,    8,    0,   62,   35,
  250,   20,  136,    2,  130,  203,   59,  232,  222,  210,   55,  108,
  164,  229,  236,   23,   53,  234,  228,  128,  158,  223],
[  55,   49,    5,   38,   45,   49,   13,    7,    6,   22,   63,   28,
   63,   59,   22,   63,   71,   67,   42,   35,   65,   45,   73,   12,
   60,   75,   53,   31,   52,   90,  151,  140,  146,  138,  145,  148,
  151,  158,  165,  163,  154,  154,  159,  159,  189,  141,  141,  111,
  160,  185,  109,   97,  177,   14,   68,   71,   70,   62,    0,   38,
  308,   58,  177,   62,  171,  163,   27,  242,  208,  220,   56,  166,
  205,  177,  222,   65,   38,  194,  214,  186,  118,  211],
[  18,   23,   43,   14,   21,    9,   24,   32,   43,   51,   49,   57,
   34,   73,   19,   36,   27,   38,   11,    1,   20,   21,   34,   34,
   17,   31,   26,   22,   27,   55,  126,  115,  121,  111,  120,  121,
  126,  133,  140,  138,  127,  127,  132,  172,  202,  154,  154,  124,
  188,  213,   74,   62,  142,   27,   34,   35,   45,   35,   38,    0,
  283,   31,  142,   37,  136,  176,   53,  255,  221,  233,   22,  141,
  170,  205,  235,   38,   56,  207,  227,  161,  131,  224],
[ 267,  266,  306,  272,  271,  287,  305,  304,  302,  303,  249,  304,
  251,  354,  300,  250,  269,  246,  274,  282,  263,  264,  252,  306,
  266,  273,  259,  281,  262,  298,  179,  168,  174,  175,  173,  185,
  179,  186,  193,  191,  191,  191,  196,  351,  347,  372,  426,  399,
  448,  473,  317,  305,  385,  306,  315,  253,  257,  250,  308,  283,
    0,  262,  385,  252,  379,  353,  308,  318,  308,  296,  303,  194,
  413,  465,  322,  265,  299,  352,  314,  214,  406,  372],
[  19,   14,   53,   19,   18,   42,   59,   51,   49,   50,   19,   56,
   21,  102,   50,   20,   34,   16,   21,   30,   28,   11,   22,   61,
   24,   38,   17,   28,   18,   63,  105,   94,  100,  101,   99,  111,
  105,  112,  119,  117,  117,  117,  122,  195,  225,  177,  177,  147,
  208,  233,   82,   70,  150,   61,   63,   23,   36,   20,   58,   31,
  262,    0,  150,   17,  144,  199,   55,  244,  234,  222,   51,  120,
  178,  225,  248,    7,   46,  230,  240,  140,  154,  237],
[ 131,  136,  174,  147,  146,  137,  165,  173,  175,  178,  140,  179,
  134,  214,  159,  136,  118,  139,  145,  142,  122,  139,  133,  166,
  126,  112,  141,  156,  145,  137,  228,  217,  223,  213,  222,  223,
  228,  235,  242,  240,  229,  229,  234,  208,  181,  229,  283,  256,
  282,  307,  156,  144,   55,  166,  170,  135,  140,  136,  177,  142,
  385,  150,    0,  137,    6,  233,  183,  251,  220,  232,  156,  243,
   30,  299,  226,  156,  174,  186,  215,  263,  263,  156],
[  20,   18,   59,   25,   24,   45,   59,   57,   55,   56,    3,   59,
    4,  107,   56,    2,   22,    6,   34,   36,   15,   17,    4,   69,
   19,   26,   11,   34,   17,   50,   95,   84,   90,   84,   89,   94,
   95,  102,  109,  107,  100,  100,  105,  201,  231,  183,  183,  153,
  214,  239,   69,   57,  137,   70,   68,    6,   10,    2,   62,   37,
  252,   17,  137,    0,  131,  205,   61,  234,  224,  212,   56,  110,
  165,  231,  238,   19,   52,  236,  230,  130,  160,  224],
[ 125,  130,  168,  141,  140,  131,  159,  167,  169,  172,  134,  173,
  128,  208,  153,  130,  112,  133,  139,  136,  116,  133,  127,  160,
  120,  106,  135,  150,  139,  131,  222,  211,  217,  207,  216,  217,
  222,  229,  236,  234,  223,  223,  228,  202,  175,  223,  277,  250,
  276,  301,  150,  138,   61,  160,  164,  129,  134,  130,  171,  136,
  379,  144,    6,  131,    0,  227,  177,  245,  214,  226,  150,  237,
   34,  293,  220,  150,  168,  180,  209,  257,  257,  150],
[ 192,  191,  159,  183,  181,  180,  152,  160,  162,  149,  204,  150,
  201,  199,  158,  203,  201,  206,  184,  175,  195,  188,  202,  151,
  191,  205,  194,  174,  194,  230,  196,  185,  191,  192,  190,  202,
  196,  203,  210,  208,  208,  208,  213,   25,   60,   47,  101,   52,
  161,  186,  232,  237,  232,  152,  208,  203,  207,  203,  163,  176,
  353,  199,  233,  205,  227,    0,  154,  133,   45,  121,  196,  211,
  261,  178,  109,  206,  165,   66,   93,  231,   57,   78],
[  52,   47,   22,   45,   37,   59,   28,   20,   18,    5,   60,   11,
   57,   72,   37,   59,   67,   63,   45,   55,   61,   44,   60,   29,
   57,   71,   50,   30,   50,   96,  151,  140,  146,  138,  145,  148,
  151,  158,  165,  163,  154,  154,  159,  150,  180,  132,  132,  102,
  176,  201,  115,  103,  183,   30,   84,   59,   69,   59,   27,   53,
  308,   55,  183,   61,  177,  154,    0,  233,  199,  211,   72,  166,
  211,  193,  213,   62,   12,  185,  205,  186,  109,  202],
[ 249,  248,  238,  254,  253,  259,  231,  239,  241,  228,  231,  229,
  233,  278,  237,  232,  251,  228,  256,  254,  245,  246,  234,  230,
  248,  255,  241,  253,  244,  280,  161,  150,  156,  157,  155,  167,
  161,  168,  175,  173,  173,  173,  178,  106,   72,  131,  182,  155,
  173,  198,  250,  287,  250,  231,  287,  235,  239,  232,  242,  255,
  318,  244,  251,  234,  245,  133,  233,    0,   44,   22,  275,  176,
  279,  190,   50,  247,  244,   76,   40,  196,  160,   95],
[ 237,  236,  204,  228,  226,  225,  197,  205,  207,  194,  221,  195,
  223,  244,  203,  222,  241,  218,  229,  220,  235,  233,  224,  196,
  236,  245,  231,  219,  234,  270,  151,  140,  146,  147,  145,  157,
  151,  158,  165,  163,  163,  163,  168,   74,   41,   96,  151,  121,
  141,  166,  219,  277,  219,  197,  253,  225,  229,  222,  208,  221,
  308,  234,  220,  224,  214,   45,  199,   44,    0,   12,  241,  166,
  248,  158,   14,  237,  210,   45,    6,  186,  131,   64],
[ 227,  226,  216,  232,  231,  237,  209,  217,  219,  206,  209,  207,
  211,  256,  215,  210,  229,  206,  234,  232,  223,  224,  212,  208,
  226,  233,  219,  231,  222,  258,  139,  128,  134,  135,  133,  145,
  139,  146,  153,  151,  151,  151,  156,   87,   51,  115,  166,  139,
  152,  177,  231,  265,  231,  209,  265,  213,  217,  210,  220,  233,
  296,  222,  232,  212,  226,  121,  211,   22,   12,    0,  253,  154,
  260,  169,   26,  225,  222,   63,   22,  174,  145,   81],
[  38,   42,   53,   33,   41,   16,   44,   52,   54,   67,   56,   67,
   53,   93,   39,   55,   45,   57,   30,   21,   41,   40,   52,   45,
   37,   41,   46,   42,   46,   66,  146,  135,  141,  132,  140,  142,
  146,  153,  160,  158,  148,  148,  153,  192,  222,  174,  174,  144,
  208,  233,   85,   73,  155,   45,   17,   54,   59,   55,   56,   22,
  303,   51,  156,   56,  150,  196,   72,  275,  241,  253,    0,  161,
  181,  225,  255,   58,   75,  227,  247,  181,  151,  240],
[ 125,  124,  164,  130,  129,  145,  163,  162,  160,  161,  107,  162,
  109,  212,  158,  108,  127,  104,  132,  140,  121,  122,  110,  164,
  124,  131,  117,  139,  120,  156,   38,   28,   21,   35,   25,   24,
   15,   22,   29,   28,   30,   33,   22,  209,  205,  230,  284,  257,
  306,  331,  175,  163,  243,  164,  173,  111,  115,  108,  166,  141,
  194,  120,  243,  110,  237,  211,  166,  176,  166,  154,  161,    0,
  271,  323,  180,  123,  157,  210,  172,   51,  264,  230],
[ 159,  164,  202,  175,  174,  165,  193,  201,  203,  206,  168,  207,
  162,  242,  187,  164,  146,  167,  173,  170,  150,  167,  161,  194,
  154,  140,  169,  184,  173,  165,  256,  245,  251,  241,  250,  251,
  256,  263,  270,  268,  257,  257,  262,  236,  209,  257,  311,  284,
  310,  335,  184,  172,   35,  194,  198,  163,  168,  164,  205,  170,
  413,  178,   30,  165,   34,  261,  211,  279,  248,  260,  181,  271,
    0,  327,  254,  184,  202,  214,  243,  291,  291,  184],
[ 221,  217,  172,  206,  213,  209,  181,  174,  176,  188,  230,  189,
  227,  226,  187,  229,  230,  232,  209,  204,  224,  214,  228,  180,
  220,  234,  220,  197,  220,  259,  308,  297,  303,  304,  302,  314,
  308,  315,  322,  320,  320,  320,  325,  153,  118,  174,  226,  196,
   17,   42,  278,  266,  298,  181,  237,  229,  233,  229,  177,  205,
  465,  225,  299,  231,  293,  178,  193,  190,  158,  169,  225,  323,
  327,    0,  163,  232,  204,  123,  152,  343,  203,  143],
[ 251,  250,  218,  242,  240,  239,  211,  219,  221,  208,  235,  209,
  237,  258,  217,  236,  255,  232,  243,  234,  249,  247,  238,  210,
  250,  259,  245,  233,  248,  284,  165,  154,  160,  161,  159,  171,
  165,  172,  179,  177,  177,  177,  182,   81,   45,  102,  155,  129,
  146,  171,  225,  291,  225,  211,  267,  239,  243,  236,  222,  235,
  322,  248,  226,  238,  220,  109,  213,   50,   14,   26,  255,  180,
  254,  163,    0,  251,  224,   49,   12,  200,  136,   70],
[  26,   21,   60,   26,   25,   46,   66,   59,   56,   57,   22,   63,
   23,  109,   58,   23,   42,   19,   28,   37,   35,   18,   23,   67,
   31,   59,   32,   35,   25,   69,  108,   97,  103,  103,  102,  113,
  108,  115,  122,  120,  119,  119,  124,  202,  232,  184,  184,  154,
  215,  240,   88,   76,  156,   69,   70,   33,   30,   23,   65,   38,
  265,    7,  156,   19,  150,  206,   62,  247,  237,  225,   58,  123,
  184,  232,  251,    0,   53,  237,  243,  143,  161,  243],
[  43,   38,   33,   43,   42,   63,   39,   32,   29,   16,   51,   22,
   48,   83,   75,   50,   59,   54,   45,   54,   52,   35,   49,   40,
   48,   67,   41,   52,   41,   87,  142,  131,  137,  129,  136,  139,
  142,  149,  156,  154,  145,  145,  150,  161,  191,  143,  143,  113,
  187,  212,  106,   94,  174,   41,   87,   51,   60,   53,   38,   56,
  299,   46,  174,   52,  168,  165,   12,  244,  210,  222,   75,  157,
  202,  204,  224,   53,    0,  196,  216,  177,  120,  213],
[ 223,  222,  190,  214,  212,  211,  183,  191,  193,  180,  235,  181,
  232,  230,  189,  234,  232,  237,  215,  206,  226,  219,  233,  182,
  222,  229,  225,  205,  225,  254,  195,  184,  190,  191,  189,  201,
  195,  202,  209,  207,  207,  207,  212,   40,    5,   61,  115,   88,
  106,  131,  185,  261,  185,  183,  239,  234,  238,  234,  194,  207,
  352,  230,  186,  236,  180,   66,  185,   76,   45,   63,  227,  210,
  214,  123,   49,  237,  196,    0,   40,  230,   96,   31],
[ 243,  242,  210,  234,  232,  231,  203,  211,  213,  200,  227,  201,
  229,  250,  209,  228,  247,  224,  235,  226,  241,  239,  230,  202,
  242,  251,  237,  225,  240,  276,  157,  146,  152,  153,  151,  163,
  157,  164,  171,  169,  169,  169,  174,   69,   34,   90,  145,  116,
  135,  160,  214,  283,  214,  203,  259,  231,  235,  228,  214,  227,
  314,  240,  215,  230,  209,   93,  205,   40,    6,   22,  247,  172,
  243,  152,   12,  243,  216,   40,    0,  192,  123,   60],
[ 145,  144,  184,  150,  149,  165,  183,  182,  180,  181,  127,  182,
  129,  232,  178,  128,  147,  124,  152,  160,  141,  142,  130,  184,
  144,  151,  137,  159,  140,  176,   59,   49,   45,   55,   45,   47,
   35,   30,   41,   38,   53,   57,   55,  229,  225,  250,  304,  277,
  326,  351,  195,  183,  263,  184,  193,  131,  135,  128,  186,  161,
  214,  140,  263,  130,  257,  231,  186,  196,  186,  174,  181,   51,
  291,  343,  200,  143,  177,  230,  192,    0,  284,  250],
[ 147,  146,  114,  138,  136,  135,  107,  115,  117,  104,  159,  105,
  156,  154,  113,  158,  156,  161,  139,  130,  150,  143,  157,  106,
  146,  160,  149,  129,  149,  185,  249,  238,  244,  237,  243,  247,
  249,  256,  263,  261,  253,  253,  258,   55,   89,   36,   37,    7,
  186,  211,  204,  192,  262,  107,  163,  158,  162,  158,  118,  131,
  406,  154,  263,  160,  257,   57,  109,  160,  131,  145,  151,  264,
  291,  203,  136,  161,  120,   96,  123,  284,    0,  107],
[  218,   223,   207,   231,   229,   224,   200,   208,   210,   197,
   227,   198,   221,   247,   206,   223,   205,   226,   232,   223,
   209,   226,   220,   199,   213,   199,   228,   222,   232,   224,
   215,   204,   210,   211,   209,   221,   215,   222,   229,   227,
   227,   227,   232,    52,    25,    74,   127,   100,   126,   151,
   155,  9999,   155,   200,   256,   222,   227,   223,   211,   224,
   372,   237,   156,   224,   150,    78,   202,    95,    64,    81,
   240,   230,   184,   143,    70,   243,   213,    31,    60,   250,
   107,     0]]